ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Arpit Gupta (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-1369) Changes to ambari-server.py to support ubuntu
Date Sat, 12 Oct 2013 21:07:42 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-1369?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Arpit Gupta updated AMBARI-1369:
--------------------------------

    Attachment: AMBARI-1369.patch

Finally getting back to it.

Attached is patch which lets ambari-server setup and start functions to work on ubuntu 12.04.3

Works with both postgres 8.4 and 9.1. Note will not work with 9.1 if both 8.4 and 9.1 are
installed on the box. A new option --postgres-version has been added to support which version
to setup. This could be done for other os's as well but then we will need to start storing
the database type and version in the properties file so we could read that at start time as
well. Let me know and i can log a jira for that.

I tested it on centos 6 with postgres 8.4 and Ubuntu 12.04.3 with both 8.4 and 9.1

Also this has only been tested with DB in local mode.

> Changes to ambari-server.py to support ubuntu
> ---------------------------------------------
>
>                 Key: AMBARI-1369
>                 URL: https://issues.apache.org/jira/browse/AMBARI-1369
>             Project: Ambari
>          Issue Type: Sub-task
>            Reporter: Arpit Gupta
>            Assignee: Arpit Gupta
>         Attachments: AMBARI-1369.patch, AMBARI-1369.patch, AMBARI-1369.patch, AMBARI-1369.patch,
AMBARI-1369.patch
>
>
> Changes to support ubuntu server 12.04 onwards



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message